#[no_mangle]
unsafe extern "C" fn htonl(v: u32) -> u32 {
    v.to_be()
}

#[no_mangle]
unsafe extern "C" fn htons(v: u16) -> u16 {
    v.to_be()
}

#[no_mangle]
unsafe extern "C" fn ntohl(v: u32) -> u32 {
    u32::from_be(v)
}

#[no_mangle]
unsafe extern "C" fn ntohs(v: u16) -> u16 {
    u16::from_be(v)
}
